<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<script src="http://code.jquery.com/jquery-latest.js"></script>
		<link rel="stylesheet" href="/css/styles.demos.css" />
		<title>37 - AJAX</title>
		<script>
$(function() {
	$('input[name=country]').change(function() {
		var country = $(this).val();
		$.get(
			'ajax/getProvs.php',									// URL
			{'country': country},									// data
			function(data, textStatus, jqXHR) {		// on Success
				$('#provlist').html(data);
			},
			'html'																// dataType
		);
	});
});
		</script>
	</head>
	<body>
		<h1>37 - AJAX</h1>

		<form action="37-ajax.php" method="GET" >
			<div class="formitem">
				<label for="country">Country:</label>
				<div class="formdiv">
					<div class="formradioitem">
						<label>Canada</label>
						<input type="radio" name="country" value="CA" />
					</div>
					<div class="formradioitem">
						<label>USA</label>
						<input type="radio" name="country" value="US" />
					</div>
				</div>
			</div>
			<div class="formitem" id="provlist">
			</div>
			<div class="formitem">
				<label>&nbsp;</label>
				<input type="submit" name="submit" value="Submit" />
			</div>
		</form> 
	</body>
</html>